package com.huiju.welcome.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.huiju.welcome.model.SysMenu;
import com.huiju.welcome.model.SysRole;
import com.huiju.welcome.model.SysUserRole;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.ResultType;
import org.apache.ibatis.annotations.Select;

import java.util.List;

import java.util.List;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author jobob
 * @since 2019-07-12
 */
@Mapper
public interface SysMenuMapper extends BaseMapper<SysMenu> {

    /**
     * 根据角色ID查询所有菜单
     * @param roleId
     * @return
     */
    @ResultType(SysMenu.class)
    @Select("select * from sys_role_menu srm left join sys_menu sm on srm.menu_id = sm.menu_id where srm.role_id=#{roleId} and menu_pid != -1")
    List<SysMenu> selectRoleMenuList(@Param("roleId") Integer roleId);


    List<SysMenu> getAllMenusWithAuthority();

    /**
     * 菜单列表
     * @param pg
     * @return
     */
    IPage<SysMenu> selectSysMenu(IPage<SysMenu> pg);

    /**
     * 添加菜单
     */
    void updateSysMenu(@Param("menuId") String menuId,@Param("menuName") String menuName);
}
